Subject: Re: [sipcore] I-D Action: draft-ietf-sipcore-sip-websocket-01.txt

From: Victor Pascual Avila <[email-masked]>
Date: Fri, 13 Jul 2012 10:47:45 +0200

Any feedback/advice would be greatly appreciated!

Thanks,
-Victor

On Wed, Jun 27, 2012 at 11:48 AM, Iñaki Baz Castillo <[email-masked]> wrote:
> 2012/6/27  <[email-masked]>:
>>
>> A New Internet-Draft is available from the on-line Internet-Drafts directories.
>>  This draft is a work item of the Session Initiation Protocol Core Working Group of the IETF.
>>
>> The IETF datatracker status page for this draft is:
>> https://datatracker.ietf.org/doc/draft-ietf-sipcore-sip-websocket
>>
>> There's also a htmlized version available at:
>> http://tools.ietf.org/html/draft-ietf-sipcore-sip-websocket-01
>
>
> Hi, the changelog from the previous version
> draft-ietf-sipcore-sip-websocket-00 is the following:
>
>
> - Section 5.2.3. "Sending Responses" (within section 5.2. "Updates to
> RFC 3261") has been removed. As Salvatore Loreto pointed out, the
> existing text "is tautological saying that a WebSocket Client can act
> only as a client, however in theory a UA (outside a Browser sandbox)
> could act as both a WebSocket client and WebSocket server".
>   http://www.ietf.org/mail-archive/web/sipcore/current/msg04940.html
>
> - Example 1 includes the WebSocket handshake flow and some typos have
> been fixed (thanks to Nataraju A. B.).
>   http://www.ietf.org/mail-archive/web/sipcore/current/msg04768.html
>
>
> As always your comments are welcome.
> Thanks a lot.
>
> --
> Iñaki Baz Castillo
> <[email-masked]>

---

From: Paul Kyzivat <[email-masked]>
Date: Fri, 13 Jul 2012 10:37:01 -0400

[as co-chair]

The wg agreed to adopt this draft back in May, and expressed 
considerable interest in it. Iñaki provided a wg version of it on June 
27. There has been no discussion of this since May.

Is there still interest? Have people simply been busy on holiday since 
the wg version came out? Or do people simply think its *done* and ready 
for WGLC.

Please let us know what you think.

	Thanks,
	Paul

On 7/13/12 4:47 AM, Victor Pascual Avila wrote:
> On Wed, Jun 27, 2012 at 11:48 AM, Iñaki Baz Castillo<[email-masked]>  wrote:
>> 2012/6/27<[email-masked]>:
>>>
> _______________________________________________
> sipcore mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/sipcore

---

From: "Olle E. Johansson" <[email-masked]>
Date: Fri, 13 Jul 2012 16:41:48 +0200

13 jul 2012 kl. 16:37 skrev Paul Kyzivat:

> [as co-chair]
> 
> The wg agreed to adopt this draft back in May, and expressed considerable interest in it. Iñaki provided a wg version of it on June 27. There has been no discussion of this since May.
> 
> Is there still interest? Have people simply been busy on holiday since the wg version came out? Or do people simply think its *done* and ready for WGLC.
> 
Paul,

There has been a lot of work on implementations. Apart from Iñaki's first implementation, Asterisk.org Open Source PBX and Kamailio SIP server both has implemented web socket support. From following the mailing lists of both I haven't seen anyone badmouthing the draft, but I think the tests are still happening and we can see what will come out of them soon.

http://www.kamailio.org/w/2012/07/websockets/
https://reviewboard.asterisk.org/r/2008/

/O
>>> As always your comments are welcome.

---
* Olle E Johansson - [email-masked]
* Cell phone +46 70 593 68 51, Office +46 8 96 40 20, Sweden